﻿
@{
    Layout = null;
}
<style>
    .grid-support-menu .wrapper2 table tr td:last-of-type{
        overflow:initial !important;
    }
    #contactGrid .k-grid-content tr td:first-of-type{
        padding:0 !important;
        text-align:center !important;
        min-width:22px !important;
    }
    .staff-contact{
        font-size: 18px;
        vertical-align:middle !important;
    }
</style>


<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Contacts
            </h1>
        </div>
        <div class="actions">
            <a ui-sref="AddContact" ngaction="Contact_Add" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Add contact">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate="" ng-submit="search()">

        <div class="grid fluid">
            <div class="row">
                <div class="span3">
                    <label for="filterType" style="margin-bottom:29px"> </label>
                    <div class="input-control select" data-role="input">

                        <select id="filterType" ng-model="Filters.SearchType"
                                ng-options="obj.Value as obj.Text for obj in Filters.SearchTypes"></select>
                    </div>
                </div>
                <div class="span9">
                    <div class="span7">
                        <div>
                            <label for="filterTerm" style="margin-bottom:29px"></label>
                            <div class="input-control text" data-role="input-control" style="width: 89%;">
                                <input ng-model="Filters.Term" id="filterTerm" type="text">
                            </div>
                            <button class="button primary place-right" id="filterButton" type="submit" style="width:8%;height: 34px; padding: 0;"><i class="jbi-search"></i></button>
                        </div>

                    </div>

                </div>

            </div>
        </div>

        <div class="place-left one-fourth padding-right20">
            <label for="filterTitle">Title</label>
            <div class="input-control select" data-role="input-control">

                <select id="filterTitle" ng-model="Filters.Title"
                        ng-options="obj.Value as obj.Text for obj in Filters.Titles" ng-change="search()"></select>
            </div>
        </div>


        <div class="place-left one-fourth">
            <label for="filterOrganization">Organizational contacts</label>
            <div class="input-control select" data-role="input-control">

                <select id="filterOrganization" chosen ng-model="Filters.MemberId"
                        name="Category" data-placeholder="Select member"
                        ng-options="obj.Value as obj.Text group by obj.Group.Name for obj in Filters.Members" ng-change="search()"></select>
            </div>
        </div>

        <div class="clearfix"></div>
        <button id="clearFilters" class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>

    <div class="clearfix"></div>


    <div class="double-scroll grid-support-menu" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="contactGrid" class="scroll resizable" options="contactGridOptions"></kendo-grid>
            </div>
        </div>

        <div class="clearfix"></div>
    </div>
</div>
